Subject: [Sandbox-mailoutput] [Django development] ID list for Secure Telephone Identity Revisited notification: Changes to draft-ietf-stir-enhance-rfc8226

From: IETF Secretariat <[email-masked]>
Date: Tue, 25 May 2021 13:09:06 -0700

The attached message would have been sent, but the tracker is in development mode.
It was not sent to anybody.

Subject: ID list for Secure Telephone Identity Revisited notification: Changes to draft-ietf-stir-enhance-rfc8226
From: IETF Secretariat <[email-masked]>
To: <[email-masked]>
Date: Tue, 25 May 2021 13:09:06 -0700

Hello,

This is a notification from the ID list for Secure Telephone Identity Revisited.

Document: draft-ietf-stir-enhance-rfc8226,
https://datatracker.ietf.org/doc/draft-ietf-stir-enhance-rfc8226/

Change by Robert Sparks on 2021-05-25 13:09 PDT:

As required by RFC 4858, this is the current template for the Document 
Shepherd Write-Up. Changes are expected over time. 

This version is dated 1 November 2019.

(1) What type of RFC is being requested (BCP, Proposed Standard, Internet Standard, Informational, Experimental, or Historic)? Why is this the proper type of RFC? Is this type of RFC indicated in the title page header? 

	The intended status is Proposed Standard. This will update RFC 8226, which is a proposed standard. The status is indicated on the title page.

(2) The IESG approval announcement includes a Document Announcement Write-Up. Please provide such a Document Announcement Write-Up. Recent examples can be found in the "Action" announcements for approved documents. The approval announcement contains the following sections: 

Technical Summary:

Relevant content can frequently be found in the abstract and/or introduction of the document. If not, this may be an indication that there are deficiencies in the abstract or introduction. 

	RFC 8226 defines a certificate extension to constrain Java Web Token (JWT) claims that can be included in a PASSporT [RFC 8225]. If the signer includes a JWT claim outside the constraint boundaries, the recipient will reject the entire passport. This document describes additional ways that the JWT claims can be constrained, namely the addition of the "mustExclude" option to indicate claims that MUST NOT appear in the PASSporT.

Working Group Summary:

Was there anything in WG process that is worth noting? For example, was there controversy about particular points or were there decisions where the consensus was particularly rough?

	The draft was generally well supported and non-controversial. A previous version of the draft also included an "exludeValues" option to indicate disallowed claim values. This option was removed after WGLC discussion suggested that it would be easily circumvented for claims with free-form values and not needed for claims with enumerated values. The removal resulted in a second WGLC.

Document Quality:

Are there existing implementations of the protocol? Have a significant number of vendors indicated their plan to implement the specification? Are there any reviewers that merit special mention as having done a thorough review, e.g., one that resulted in important changes or a conclusion that the document had no substantive issues? If there was a MIB Doctor, YANG Doctor, Media Type or other expert review, what was its course (briefly)? In the case of a Media Type review, on what date was the request posted? 

	The author has implemented a a module for the open source pyasn1-modules library. The RFC that this updates is currently implemented in a number of voice carrier networks, and is in fact a regulatory requirement for US carriers as part of the FCC anti-robocalling initiative.
	
	The one version or another was reviewed by several people, including the authors of RFC 8226 and your humble document shepherd. The removal of "excludeValues" resulted from list discussion triggered by WGLC comments. This change resulted in a second WGLC.
	
	There has been no external expert review at the time of this report.

Personnel:

Who is the Document Shepherd? Who is the Responsible Area Director?

	The document shepherd is Ben Campbell. The responsible AD is believed by this shepherd to be Murray Kucherawy, but that is not yet indicated in the datatracker.

(3) Briefly describe the review of this document that was performed by the Document Shepherd. If this version of the document is not ready for publication, please explain why the document is being forwarded to the IESG.

	This shepherd performed a detailed nits review, and believes it to be ready for IESG review. The shepherd also performed multiple WGLC reviews.

(4) Does the document Shepherd have any concerns about the depth or breadth of the reviews that have been performed?

	This shepherd has no such concerns. 

(5) Do portions of the document need review from a particular or from broader perspective, e.g., security, operational complexity, AAA, DNS, DHCP, XML, or internationalization? If so, describe the review that took place.

	In this shepherd's opinion, no such reviews are needed. 

(6) Describe any specific concerns or issues that the Document Shepherd has with this document that the Responsible Area Director and/or the IESG should be aware of? For example, perhaps he or she is uncomfortable with certain parts of the document, or has concerns whether there really is a need for it. In any event, if the WG has discussed those issues and has indicated that it still wishes to advance the document, detail those concerns here. 

	This shepherd has no such concerns.

(7) Has each author confirmed that any and all appropriate IPR disclosures required for full conformance with the provisions of BCP 78 and BCP 79 have already been filed. If not, explain why?

	The author confirmed that he is unaware of any IPR, disclosed or otherwise.

(8) Has an IPR disclosure been filed that references this document? If so, summarize any WG discussion and conclusion regarding the IPR disclosures.

	There have been no IPR disclosures.  

(9) How solid is the WG consensus behind this document? Does it represent the strong concurrence of a few individuals, with others being silent, or does the WG as a whole understand and agree with it?

	The number of participants who have shown themselves to understand the document is fairly small as working groups go, but they are the key participants for most of STIR's work. 

(10) Has anyone threatened an appeal or otherwise indicated extreme discontent? If so, please summarise the areas of conflict in separate email messages to the Responsible Area Director. (It should be in a separate email because this questionnaire is publicly available.)

	This shepherd is not aware of any threats to appeal or any other angst over this document. 

(11) Identify any ID nits the Document Shepherd has found in this document. (See http://www.ietf.org/tools/idnits/ and the Internet-Drafts Checklist). Boilerplate checks are not enough; this check needs to be thorough.

	IDNits 2.16.04 indicates that the draft does not mention the update of RFC8226 in the abstract, but does mention that RFC. In this shepherd's opinion, the fact of and reason for the update is clear from the abstract.

	It indicates a normative downref to RFC 5912 (informational). That RFC is in the downref registry.

	It indicates a stale informative reference to draft-ietf-stir-passport-rcd-09, which will almost certainly be updated again before this draft is published as an RFC. It also registered some false-positive detections of things that look like references but or not, and seems to have interpreted the expiration date as the publication date.

12) Describe how the document meets any required formal review criteria, such as the MIB Doctor, YANG Doctor, media type, and URI type reviews.

	This shepherd is not aware of any formal requirements for this draft. 

(13) Have all references within this document been identified as either normative or informative? 

	Yes.

(14) Are there normative references to documents that are not ready for advancement or are otherwise in an unclear state? If such normative references exist, what is the plan for their completion?

	There are no such normative references. 

(15) Are there downward normative references references (see RFC 3967)? If so, list these downward references to support the Area Director in the Last Call procedure.

	The draft has a normative downref to RFC 5912 (informational). That RFC is in the downref registry, and has been since 2010.

(16) Will publication of this document change the status of any existing RFCs? Are those RFCs listed on the title page header, listed in the abstract, and discussed in the introduction? If the RFCs are not listed in the Abstract and Introduction, explain why, and point to the part of the document where the relationship of this document to the other RFCs is discussed. If this information is not in the document, explain why the WG considers it unnecessary. 

	The document does not change the status of any existing RFC. 

(17) Describe the Document Shepherd's review of the IANA considerations section, especially with regard to its consistency with the body of the document. Confirm that all protocol extensions that the document makes are associated with the appropriate reservations in IANA registries. Confirm that any referenced IANA registries have been clearly identified. Confirm that newly created IANA registries include a detailed specification of the initial contents for the registry, that allocations procedures for future registrations are defined, and a reasonable name for the new registry has been suggested (see RFC 8126).

	[Section TBD pending asking Russ and Robert about OID assignment.] 

(18) List any new IANA registries that require Expert Review for future allocations. Provide any public guidance that the IESG would find useful in selecting the IANA Experts for these new registries. 

	This draft does not create any new IANA registries

(19) Describe reviews and automated checks performed by the Document Shepherd to validate sections of the document written in a formal language, such as XML code, BNF rules, MIB definitions, YANG modules, etc.

	The draft contains an ASN.1 module. The author has compiled it with the OSS ASN.1 compiler (with placeholder OIDs pending assignment.)

(20) If the document contains a YANG module, has the module been checked with any of the recommended validation tools (https://trac.ietf.org/trac/ops/wiki/yang-review-tools) for syntax and formatting validation? If there are any resulting errors or warnings, what is the justification for not fixing them at this time? Does the YANG module comply with the Network Management Datastore Architecture (NMDA) as specified in RFC8342?

	The document does not contain a YANG module.

Best regards,

        The Datatracker draft tracking service
        (for the IETF Secretariat)